Name:           cockpit-image-builder
Version:        72
Release:        1.20250725101016543056.main.21.g661fd29a%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-73.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Fri Jul 25 2025 Packit <hello@packit.dev> - 72-1.20250725101016543056.main.21.g661fd29a
- playwright: add timeout for cockpit tests (Gianluca Zuccarelli)
- build(deps-dev): bump @patternfly/react-icons from 6.1.0 to 6.3.0 (dependabot[bot])
- build(deps-dev): bump @types/node from 24.0.13 to 24.1.0 (dependabot[bot])
- profileSelector: Prevent wizard refresh on Enter key in OpenSCAP profile selector (Michal Gold)
- test: Remove typing delay for locale test (regexowl)
- build(deps): bump axios from 1.10.0 to 1.11.0 (dependabot[bot])
- build(deps): bump @patternfly/react-code-editor from 6.1.0 to 6.3.0 (dependabot[bot])
- README: update api generation (Gianluca Zuccarelli)
- api: remove pull command (Gianluca Zuccarelli)
- playwright: fix cockpit cloud provider test (Gianluca Zuccarelli)
- playwright: add an aws upload test (Gianluca Zuccarelli)
- store/cockpitApi: refactor `/compose` endpoint (Gianluca Zuccarelli)
- requestMapper: add region to aws upload type (Gianluca Zuccarelli)
- Wizard: add region selector for on-prem AWS (Gianluca Zuccarelli)
- Table: fix the image table status for on prem aws uploads (Gianluca Zuccarelli)
- cockpit: add cockpit image request types (Gianluca Zuccarelli)
- multi: fix analytics for on-prem (Gianluca Zuccarelli)
- store/cockpitApi: enable aws image types (Gianluca Zuccarelli)
- CreateImageWizard: hide aws sources for on-prem (Gianluca Zuccarelli)
- build(deps): bump @sentry/webpack-plugin from 3.6.1 to 4.0.0 (dependabot[bot])
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
